Summary: A tool for monitoring the progress of data through a pipeline
Name: pv
Version: 0.9.9
Release: 1%{?dist}
License: Artistic
Group: Development/Tools
Source: http://pipeviewer.googlecode.com/files/%{name}-%{version}.tar.gz
URL: http://www.ivarch.com/programs/pv.shtml
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)


BuildRequires: gettext


%description
PV ("Pipe Viewer") is a tool for monitoring the progress of data through a
pipeline.  It can be inserted into any normal pipeline between two processes
to give a visual indication of how quickly data is passing through, how long
it has taken, how near to completion it is, and an estimate of how long it
will be until completion.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p ${RPM_BUILD_ROOT}%{_bindir}         # /usr/bin
mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1    # /usr/share/man/man1

make DESTDIR=$RPM_BUILD_ROOT install
%find_lang %{name}


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-, root, root)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

%doc README doc/NEWS doc/TODO doc/COPYING


%changelog
* Sun Jun 24 2007 Jakub Hrozek <jhrozek@redhat.com> - 0.9.9-1
- Initial packaging loosely based on SRPM from project's home page by 
  Andrew Wood <andrew.wood@ivarch.com>
